Foxit PDF Conversion SDK

Public Member Functions | List of all members
com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData Class Reference

## Public Member Functions
| PDF2WordSettingData ()
| Constructor.
| PDF2WordSettingData (boolean enable_retain_page_layout, boolean enable_generate_headers_and_footers, boolean enable_generate_footnotes_and_endnotes, boolean enable_generate_page_rendered_break, int max_blank_paragraphs_per_page_bottom)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getEnable_generate_footnotes_and_endnotes ()
| Get a boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. More...
boolean | getEnable_generate_headers_and_footers ()
| Get a boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. More...
boolean | getEnable_generate_page_rendered_break ()
| Get a boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. More...
boolean | getEnable_retain_page_layout ()
| Get a boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. More...
int | getMax_blank_paragraphs_per_page_bottom ()
| Get specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents. More...
void | set (boolean enable_retain_page_layout, boolean enable_generate_headers_and_footers, boolean enable_generate_footnotes_and_endnotes, boolean enable_generate_page_rendered_break, int max_blank_paragraphs_per_page_bottom)
| Set value. More...
void | setEnable_generate_footnotes_and_endnotes (boolean value)
| Set a boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. More...
void | setEnable_generate_headers_and_footers (boolean value)
| Set a boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. More...
void | setEnable_generate_page_rendered_break (boolean value)
| Set a boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. More...
void | setEnable_retain_page_layout (boolean value)
| Set a boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. More...
void | setMax_blank_paragraphs_per_page_bottom (int value)
| Set specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Word format documents.

## Constructor & Destructor Documentation

## ◆ PDF2WordSettingData()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.PDF2WordSettingData | ( | boolean | enable_retain_page_layout,
|  | boolean | enable_generate_headers_and_footers,
|  | boolean | enable_generate_footnotes_and_endnotes,
|  | boolean | enable_generate_page_rendered_break,
|  | int | max_blank_paragraphs_per_page_bottom
| ) |  |

Constructor, with parameters.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnable_generate_footnotes_and_endnotes()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.getEnable_generate_footnotes_and_endnotes | ( |  | ) |

Get a boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents.

true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of word format documents.

Returns
  A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false.

## ◆ getEnable_generate_headers_and_footers()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.getEnable_generate_headers_and_footers | ( |  | ) |

Get a boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents.

true means to convert the recognized headers and footers from PDF documents to headers and footers of word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of word format documents.

Note
  Currently, this parameter is recommended to be set to false in 32-bit environments.

Returns
  A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true.

## ◆ getEnable_generate_page_rendered_break()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.getEnable_generate_page_rendered_break | ( |  | ) |

Get a boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.

If true, the "lastRenderedPageBreak" marker will be inserted into the Word document to denote the pagination position from the last PDF rendering. If false, the "lastRenderedPageBreak" marker will not be inserted. "lastRenderedPageBreak" is a marker that indicates the location of a page break that was inserted when the document was last saved or rendered in an application. It is particularly useful for applications that need to track where content was split across pages during the document's rendering process.

Returns
  A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false.

## ◆ getEnable_retain_page_layout()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.getEnable_retain_page_layout | ( |  | ) |

Get a boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents.

true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.

Returns
  A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false.

## ◆ getMax_blank_paragraphs_per_page_bottom()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.getMax_blank_paragraphs_per_page_bottom | ( |  | ) |

Get specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

This parameter controls the allowed number of empty paragraphs at the end of every page in the generated Word document. By setting this limit, users can prevent excessive empty space at the bottom of pages, thereby ensuring that the final document maintains a tidy and professional appearance without unnecessary blank lines that could affect layout and readability. Negative number indicates no limit on the number of blank paragraphs allowed at the bottom of each page.

Returns
  Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

## ◆ set()

void com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.set | ( | boolean | enable_retain_page_layout,
|  | boolean | enable_generate_headers_and_footers,
|  | boolean | enable_generate_footnotes_and_endnotes,
|  | boolean | enable_generate_page_rendered_break,
|  | int | max_blank_paragraphs_per_page_bottom
| ) |  |

Set value.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

Returns
  None.

## ◆ setEnable_generate_footnotes_and_endnotes()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.setEnable_generate_footnotes_and_endnotes | ( | boolean | value | ) |

Set a boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents.

true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of word format documents.

Parameters

  [in] | value | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false.

Returns
  None.

## ◆ setEnable_generate_headers_and_footers()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.setEnable_generate_headers_and_footers | ( | boolean | value | ) |

Set a boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents.

true means to convert the recognized headers and footers from PDF documents to headers and footers of word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of word format documents.

Note
  Currently, this parameter is recommended to be set to false in 32-bit environments.

Parameters

  [in] | value | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true.

Returns
  None.

## ◆ setEnable_generate_page_rendered_break()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.setEnable_generate_page_rendered_break | ( | boolean | value | ) |

Set a boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.

If true, the "lastRenderedPageBreak" marker will be inserted into the Word document to denote the pagination position from the last PDF rendering. If false, the "lastRenderedPageBreak" marker will not be inserted. "lastRenderedPageBreak" is a marker that indicates the location of a page break that was inserted when the document was last saved or rendered in an application. It is particularly useful for applications that need to track where content was split across pages during the document's rendering process.

Parameters

  [in] | value | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false.

Returns
  None.

## ◆ setEnable_retain_page_layout()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.setEnable_retain_page_layout | ( | boolean | value | ) |

Set a boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents.

true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.

Parameters

  [in] | value | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false.

Returns
  None.

## ◆ setMax_blank_paragraphs_per_page_bottom()

com.foxit.sdk.conversion.pdf2office.PDF2WordSettingData.setMax_blank_paragraphs_per_page_bottom | ( | int | value | ) |

Set specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

This parameter controls the allowed number of empty paragraphs at the end of every page in the generated Word document. By setting this limit, users can prevent excessive empty space at the bottom of pages, thereby ensuring that the final document maintains a tidy and professional appearance without unnecessary blank lines that could affect layout and readability. Negative number indicates no limit on the number of blank paragraphs allowed at the bottom of each page.

Parameters

  [in] | value | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

Returns
  None.